*** ./engine/SCons/Tool/__init__.py.osr6	Thu May 17 09:36:35 2007
--- ./engine/SCons/Tool/__init__.py	Sun Nov 18 20:11:03 2007
***************
*** 380,385 ****
--- 380,393 ----
          assemblers = ['as', 'gas']
          fortran_compilers = ['f95', 'f90', 'f77', 'g77', 'fortran']
          ars = ['sunar']
+     elif str(platform) == 'unixware7':
+         "prefer USLC tools on UnixWare 7 / OpenServer 6"
+         linkers = ['uslclink', 'gnulink']
+         c_compilers = ['cc', 'gcc']
+         cxx_compilers = ['CC', 'g++']
+         assemblers = ['as', 'gas']
+         fortran_compilers = ['f95', 'f90', 'f77', 'g77', 'fortran']
+         ars = ['ar']
      elif str(platform) == 'hpux':
          "prefer aCC tools on HP-UX"
          linkers = ['hplink', 'gnulink']
***************
*** 405,415 ****
          fortran_compilers = ['f95', 'f90', 'g77']
          ars = ['ar']
      else:
!         "prefer GNU tools on all other platforms"
!         linkers = ['gnulink', 'mslink', 'ilink']
!         c_compilers = ['gcc', 'msvc', 'intelc', 'icc', 'cc']
!         cxx_compilers = ['g++', 'msvc', 'intelc', 'icc', 'c++']
!         assemblers = ['gas', 'nasm', 'masm']
          fortran_compilers = ['f95', 'f90', 'g77', 'ifort', 'ifl', 'fortran']
          ars = ['ar', 'mslib']
  
--- 413,423 ----
          fortran_compilers = ['f95', 'f90', 'g77']
          ars = ['ar']
      else:
!         "prefer USLC tools on all other platforms"
!         linkers = ['uslclink', 'gnulink']
!         c_compilers = ['cc', 'gcc']
!         cxx_compilers = ['CC', 'g++']
!         assemblers = ['as', 'gas']
          fortran_compilers = ['f95', 'f90', 'g77', 'ifort', 'ifl', 'fortran']
          ars = ['ar', 'mslib']
  
*** ./engine/SCons/Tool/uslclink.py.osr6	Wed Nov 14 18:31:20 2007
--- ./engine/SCons/Tool/uslclink.py	Sun Nov 18 20:53:09 2007
***************
*** 43,49 ****
      """Add Builders and construction variables for uslclink to an Environment."""
      link.generate(env)
  
!     env['SHLINKFLAGS'] = SCons.Util.CLVar('$LINKFLAGS -G -KPIC')
  
      # __RPATH is set to $_RPATH in the platform specification if that
      # platform supports it.
--- 43,49 ----
      """Add Builders and construction variables for uslclink to an Environment."""
      link.generate(env)
  
!     env['SHLINKFLAGS'] = SCons.Util.CLVar('$LINKFLAGS -G -KPIC -Kpthread')
  
      # __RPATH is set to $_RPATH in the platform specification if that
      # platform supports it.
*** ./engine/SCons/Tool/cc.py.osr6	Wed Nov 14 18:31:20 2007
--- ./engine/SCons/Tool/cc.py	Sun Nov 18 20:55:21 2007
***************
*** 60,66 ****
          env['CCFLAGS']   = SCons.Util.CLVar('')
  
      if not env.has_key('SHCCFLAGS'):
!         env['SHCCFLAGS'] = SCons.Util.CLVar('$CCFLAGS -KPIC')
  
  def generate(env):
      """
--- 60,66 ----
          env['CCFLAGS']   = SCons.Util.CLVar('')
  
      if not env.has_key('SHCCFLAGS'):
!         env['SHCCFLAGS'] = SCons.Util.CLVar('$CCFLAGS -KPIC -Kpthread')
  
  def generate(env):
      """
***************
*** 76,82 ****
  
      add_common_cc_variables(env)
  
!     env['CC']        = 'cc'
      env['CFLAGS']    = SCons.Util.CLVar('')
      env['CCCOM']     = '$CC -o $TARGET -c $CFLAGS $CCFLAGS $_CCCOMCOM $SOURCES'
      env['SHCC']      = '$CC'
--- 76,82 ----
  
      add_common_cc_variables(env)
  
!     env['CC']        = 'cc -Kpthread'
      env['CFLAGS']    = SCons.Util.CLVar('')
      env['CCCOM']     = '$CC -o $TARGET -c $CFLAGS $CCFLAGS $_CCCOMCOM $SOURCES'
      env['SHCC']      = '$CC'
*** ./engine/SCons/Tool/c++.py.osr6	Wed Nov 14 18:38:42 2007
--- ./engine/SCons/Tool/c++.py	Sun Nov 18 20:55:48 2007
***************
*** 72,82 ****
  
      SCons.Tool.cc.add_common_cc_variables(env)
          
!     env['CXX']        = 'CC'
      env['CXXFLAGS']   = SCons.Util.CLVar('$CCFLAGS')
      env['CXXCOM']     = '$CXX -o $TARGET -c $CXXFLAGS $_CCCOMCOM $SOURCES'
      env['SHCXX']      = '$CXX'
!     env['SHCXXFLAGS'] = SCons.Util.CLVar('$CXXFLAGS -KPIC')
      env['SHCXXCOM']   = '$SHCXX -o $TARGET -c $SHCXXFLAGS $_CCCOMCOM $SOURCES'
  
      env['CPPDEFPREFIX']  = '-D'
--- 72,82 ----
  
      SCons.Tool.cc.add_common_cc_variables(env)
          
!     env['CXX']        = 'CC -Kpthread'
      env['CXXFLAGS']   = SCons.Util.CLVar('$CCFLAGS')
      env['CXXCOM']     = '$CXX -o $TARGET -c $CXXFLAGS $_CCCOMCOM $SOURCES'
      env['SHCXX']      = '$CXX'
!     env['SHCXXFLAGS'] = SCons.Util.CLVar('$CXXFLAGS -KPIC -Kpthread')
      env['SHCXXCOM']   = '$SHCXX -o $TARGET -c $SHCXXFLAGS $_CCCOMCOM $SOURCES'
  
      env['CPPDEFPREFIX']  = '-D'
*** ./engine/SCons/Tool/CC.py.osr6	Wed Nov 14 18:50:17 2007
--- ./engine/SCons/Tool/CC.py	Sun Nov 18 20:56:05 2007
***************
*** 72,82 ****
  
      SCons.Tool.cc.add_common_cc_variables(env)
          
!     env['CXX']        = 'CC'
      env['CXXFLAGS']   = SCons.Util.CLVar('$CCFLAGS')
      env['CXXCOM']     = '$CXX -o $TARGET -c $CXXFLAGS $_CCCOMCOM $SOURCES'
      env['SHCXX']      = '$CXX'
!     env['SHCXXFLAGS'] = SCons.Util.CLVar('$CXXFLAGS -KPIC')
      env['SHCXXCOM']   = '$SHCXX -o $TARGET -c $SHCXXFLAGS $_CCCOMCOM $SOURCES'
  
      env['CPPDEFPREFIX']  = '-D'
--- 72,82 ----
  
      SCons.Tool.cc.add_common_cc_variables(env)
          
!     env['CXX']        = 'CC -Kpthread'
      env['CXXFLAGS']   = SCons.Util.CLVar('$CCFLAGS')
      env['CXXCOM']     = '$CXX -o $TARGET -c $CXXFLAGS $_CCCOMCOM $SOURCES'
      env['SHCXX']      = '$CXX'
!     env['SHCXXFLAGS'] = SCons.Util.CLVar('$CXXFLAGS -KPIC -Kpthread')
      env['SHCXXCOM']   = '$SHCXX -o $TARGET -c $SHCXXFLAGS $_CCCOMCOM $SOURCES'
  
      env['CPPDEFPREFIX']  = '-D'
*** ./engine/SCons/Tool/as.py.osr6	Thu May 17 09:36:36 2007
--- ./engine/SCons/Tool/as.py	Sun Nov 18 20:07:21 2007
***************
*** 37,43 ****
  import SCons.Tool
  import SCons.Util
  
! assemblers = ['as']
  
  ASSuffixes = ['.s', '.asm', '.ASM']
  ASPPSuffixes = ['.spp', '.SPP']
--- 37,43 ----
  import SCons.Tool
  import SCons.Util
  
! assemblers = ['/bin/as']
  
  ASSuffixes = ['.s', '.asm', '.ASM']
  ASPPSuffixes = ['.spp', '.SPP']
***************
*** 62,68 ****
          static_obj.add_emitter(suffix, SCons.Defaults.StaticObjectEmitter)
          shared_obj.add_emitter(suffix, SCons.Defaults.SharedObjectEmitter)
  
!     env['AS']        = env.Detect(assemblers) or 'as'
      env['ASFLAGS']   = SCons.Util.CLVar('')
      env['ASCOM']     = '$AS $ASFLAGS -o $TARGET $SOURCES'
      env['ASPPFLAGS'] = '$ASFLAGS'
--- 62,68 ----
          static_obj.add_emitter(suffix, SCons.Defaults.StaticObjectEmitter)
          shared_obj.add_emitter(suffix, SCons.Defaults.SharedObjectEmitter)
  
!     env['AS']        = env.Detect(assemblers) or '/bin/as'
      env['ASFLAGS']   = SCons.Util.CLVar('')
      env['ASCOM']     = '$AS $ASFLAGS -o $TARGET $SOURCES'
      env['ASPPFLAGS'] = '$ASFLAGS'
*** ./scons.1.osr6	Thu May 17 09:36:40 2007
--- ./scons.1	Wed Nov 14 18:31:20 2007
***************
*** 1501,1506 ****
--- 1501,1507 ----
  tar
  tex
  tlib
+ uslclink
  yacc
  zip
  .EE
***************
*** 8190,8196 ****
  
  .IP RPATH
  A list of paths to search for shared libraries when running programs.
! Currently only used in the GNU (gnulink),
  IRIX (sgilink) and Sun (sunlink) linkers.
  Ignored on platforms and toolchains that don't support it.
  Note that the paths added to RPATH
--- 8191,8197 ----
  
  .IP RPATH
  A list of paths to search for shared libraries when running programs.
! Currently only used in the GNU (gnulink), USLC (uslclink),
  IRIX (sgilink) and Sun (sunlink) linkers.
  Ignored on platforms and toolchains that don't support it.
  Note that the paths added to RPATH
*** ./Install-OSR6.osr6	Wed Nov 14 18:31:20 2007
--- ./Install-OSR6	Wed Nov 14 18:31:20 2007
***************
*** 0 ****
--- 1,9 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ D=/u/tmp/scons
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ python setup.py install | tee $MOUT
*** ./Build-OSR6.osr6	Wed Nov 14 18:43:27 2007
--- ./Build-OSR6	Wed Nov 14 18:43:19 2007
***************
*** 0 ****
--- 1,3 ----
+ #!/bin/sh
+ 
+ true
